{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"GoRules Documentation","colors":{"primary":"#415cf9","light":"#415cf9","dark":"#415cf9"},"logo":{"light":"https://mintcdn.com/gorules/RlyhVwx5ZVGtQHCD/logo.svg?fit=max\u0026auto=format\u0026n=RlyhVwx5ZVGtQHCD\u0026q=85\u0026s=9a2e5484d4f7dad891c9e6d09ea6f6b1","dark":"https://mintcdn.com/gorules/RlyhVwx5ZVGtQHCD/logo.svg?fit=max\u0026auto=format\u0026n=RlyhVwx5ZVGtQHCD\u0026q=85\u0026s=9a2e5484d4f7dad891c9e6d09ea6f6b1"},"favicon":"https://mintcdn.com/gorules/RlyhVwx5ZVGtQHCD/favicon.svg?fit=max\u0026auto=format\u0026n=RlyhVwx5ZVGtQHCD\u0026q=85\u0026s=11446bf4507f770993486472ec24035e","appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://gorules.io/contact-us","label":"Talk to us"}],"primary":{"type":"button","label":"Get Started","href":"https://us1.gorules.io"}},"footer":{"socials":{"github":"https://github.com/gorules","linkedin":"https://linkedin.com/company/gorules"}},"fonts":{"family":"Geist"},"integrations":{"gtm":{"tagId":"GTM-PKKMT9BG"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"gorules","hasAudioNarration":false,"actualSubdomain":"gorules","customDomains":["docs.gorules.io"],"gitSource":{"type":"github","owner":"gorules","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb510c476494e6dae3ed2d","collectionId":"90b6e671-9257-4d6a-a890-b233262abc67","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb510c476494e6dae3ed2d"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb510c476494e6dae3ed2d","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":160},{"language":"default","tag":"BRMS","count":155},{"language":"default","tag":"Developers","count":43},{"language":"default","tag":"BRMS User Guide","count":22},{"language":"default","tag":"Learn","count":22},{"language":"default","tag":"Document","count":19},{"language":"default","tag":"Rules","count":14},{"language":"default","tag":"Branches","count":13},{"language":"default","tag":"Release","count":13},{"language":"default","tag":"SDKs","count":12}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@gorules.io","showHelpButton":false}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":":root{--font-jetbrains-mono: \"JetBrains Mono\", SF Mono, SFMono-Regular, Menlo, Monaco, Cascadia Mono, Segoe UI Mono, Roboto Mono, Oxygen Mono, Ubuntu Monospace, Source Code Pro, Fira Mono, Droid Sans Mono, Consolas, Courier New, monospace}.card-hover{\u0026:hover>.card{--tw-border-opacity: 1 !important;border-color:rgb(var(--primary) / var(--tw-border-opacity))!important}}"}],"page":{"pagePath":"api-reference/brms/release/upload-a-release","slug":"/api-reference/brms/release/upload-a-release","pageMetadata":{"title":"Upload a release","description":"Upload a release package as a ZIP file containing decision documents.","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/multipart","href":"/api-reference/brms/release/upload-a-release","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Upload a release package as a ZIP file containing decision documents.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Upload a release","description":"Upload a release package as a ZIP file containing decision documents.","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/multipart","href":"/api-reference/brms/release/upload-a-release","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"uploadRelease","summary":"Upload a release","tags":["Release"],"description":"Upload a release package as a ZIP file containing decision documents.","requestBody":"7bd04deb-ca5d-4b1c-ae8f-98211b515f75","parameters":["4908adbc-ed4b-4ad5-9c64-1d547a1358da"],"security":["09fbcf5e-feb9-46c8-835a-2733da17d29f","18abdba8-757c-4252-9b53-799cc707378c"],"responses":{"200":"ea4ad534-87b4-4a7f-8915-cbc3469ae1f5"},"method":"post","type":"path","servers":["3321c2ae-b0c5-4847-9c3e-87b8472a8c16"],"path":"/api/projects/{projectId}/releases/multipart","baseUrlOptions":["https://acme.us1.gorules.io"],"title":"Upload a release","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"4908adbc-ed4b-4ad5-9c64-1d547a1358da":{"schema":{"type":"string","format":"uuid","isRequired":true,"description":"Project unique identifier","uniqueKey":"","typeLabel":"string\u003cuuid>"},"in":"path","name":"projectId","required":true,"description":"Project unique identifier"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"oneOf":[{"type":"object","properties":{"files":{"type":"array","items":{"format":"binary","description":"ZIP file containing release documents","type":"string","uniqueKey":"oneOf.0.files.items.[INDEX]","typeLabel":"file"},"description":"List of ZIP files to be uploaded","isRequired":true,"uniqueKey":"oneOf.0.files","typeLabel":"file[]"}},"required":["files"],"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"null","properties":{"files":{"type":"array","items":{"format":"binary","description":"ZIP file containing release documents","type":"string"},"description":"List of ZIP files to be uploaded"}},"required":["files"],"uniqueKey":"oneOf.1","typeLabel":"null"}],"uniqueKey":"","typeLabel":"object | null"},"examples":{"Example":{"title":"Example","value":{"files":["\u003cstring>"]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"ea4ad534-87b4-4a7f-8915-cbc3469ae1f5":{"description":"Created release information","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Release unique identifier","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"createdAt":{"type":"string","description":"Release creation timestamp","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"projectId":{"type":"string","format":"uuid","description":"Project ID the release belongs to","isRequired":true,"uniqueKey":"projectId","typeLabel":"string\u003cuuid>"},"deletedAt":{"oneOf":[{"type":"string","description":"Release deletion timestamp","uniqueKey":"deletedAt.oneOf.0","typeLabel":"string"},{"type":"null","description":"Release deletion timestamp","uniqueKey":"deletedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"deletedAt","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"Release name","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Release name","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Release description","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Release description","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"version":{"oneOf":[{"type":"number","description":"Legacy numeric version","uniqueKey":"version.oneOf.0","typeLabel":"number"},{"type":"null","description":"Legacy numeric version","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"number | null"},"semanticVersion":{"oneOf":[{"type":"string","description":"Semantic version (e.g., 1.0.0)","uniqueKey":"semanticVersion.oneOf.0","typeLabel":"string"},{"type":"null","description":"Semantic version (e.g., 1.0.0)","uniqueKey":"semanticVersion.oneOf.1","typeLabel":"null"}],"uniqueKey":"semanticVersion","typeLabel":"string | null"},"status":{"type":"string","enum":["draft","published","completed"],"description":"Release status","uniqueKey":"status","typeLabel":"enum\u003cstring>"},"createdById":{"oneOf":[{"type":"string","format":"uuid","description":"ID of the user who created the release","uniqueKey":"createdById.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"ID of the user who created the release","uniqueKey":"createdById.oneOf.1","typeLabel":"null"}],"uniqueKey":"createdById","typeLabel":"string\u003cuuid> | null"},"commitId":{"oneOf":[{"type":"string","format":"uuid","description":"Associated commit ID","uniqueKey":"commitId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"Associated commit ID","uniqueKey":"commitId.oneOf.1","typeLabel":"null"}],"uniqueKey":"commitId","typeLabel":"string\u003cuuid> | null"},"meta":{"oneOf":[{"type":"object","properties":{"bucket":{"type":"string","description":"Storage bucket name","uniqueKey":"meta.oneOf.0.bucket","typeLabel":"string"},"key":{"type":"string","description":"Storage object key","uniqueKey":"meta.oneOf.0.key","typeLabel":"string"}},"description":"Release storage metadata","uniqueKey":"meta.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"bucket":{"type":"string","description":"Storage bucket name"},"key":{"type":"string","description":"Storage object key"}},"description":"Release storage metadata","uniqueKey":"meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"meta","typeLabel":"object | null"}},"required":["id","createdAt","projectId"],"description":"Created release information","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","createdAt":"\u003cstring>","projectId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","deletedAt":"\u003cstring>","name":"\u003cstring>","description":"\u003cstring>","version":123,"semanticVersion":"\u003cstring>","status":"draft","createdById":"3c90c3cc-0d44-4b50-8888-8dd25736052a","commitId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","meta":{"bucket":"\u003cstring>","key":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"09fbcf5e-feb9-46c8-835a-2733da17d29f":{"personalAccessToken":{"type":"http","scheme":"bearer","description":"Personal access token is obtained through your profile","scopes":[]}},"18abdba8-757c-4252-9b53-799cc707378c":{"internalAuth":{"type":"http","scheme":"internal","description":"Cannot be used directly","scopes":[]}}},"servers":{"3321c2ae-b0c5-4847-9c3e-87b8472a8c16":{"url":"https://acme.us1.gorules.io","description":"Your organisation URL"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Personal access token is obtained through your profile","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Personal access token is obtained through your profile","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"personalAccessToken","name":"Authorization"}],"title":"personalAccessToken"},{"schemes":[{"scheme":{"type":"http","scheme":"internal","description":"Cannot be used directly","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Cannot be used directly","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"internalAuth","name":"Authorization"}],"title":"internalAuth"}]},"originalFileLocation":"openapi/brms.json"},"subdomain":"gorules","siteName":"GoRules Documentation","title":"Upload a release - GoRules Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-16T21:29:53.831Z","originalFileLocation":"api-reference/brms/release/upload-a-release.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Upload a release package as a ZIP file containing decision documents.\">\u003cmeta data-mint-head name=\"application-name\" content=\"GoRules Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Upload a release - GoRules Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Upload a release package as a ZIP file containing decision documents.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"GoRules Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gorules.io/api-reference/brms/release/upload-a-release\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://gorules.mintlify.site/_mintlify/api/og/v2?division=Release\u0026amp;title=Upload+a+release\u0026amp;description=Upload+a+release+package+as+a+ZIP+file+containing+decision+documents.\u0026amp;theme=16a17d601843c7d203b1b802\u0026amp;signature=1a352b3a14e92b25e60e4c4ab93bc50f56d98c19d24e6c6a50291da03a4b5822\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Upload a release - GoRules Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Upload a release package as a ZIP file containing decision documents.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://gorules.mintlify.site/_mintlify/api/og/v2?division=Release\u0026amp;title=Upload+a+release\u0026amp;description=Upload+a+release+package+as+a+ZIP+file+containing+decision+documents.\u0026amp;theme=16a17d601843c7d203b1b802\u0026amp;signature=1a352b3a14e92b25e60e4c4ab93bc50f56d98c19d24e6c6a50291da03a4b5822\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/gorules/y4WpYH54RwW0YKnB/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"GoRules Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#415cf9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gorules.io/api-reference/brms/release/upload-a-release\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/brms/release/upload-a-release.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gorules.io/#organization\",\"name\":\"GoRules Documentation\",\"url\":\"https://docs.gorules.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/gorules/RlyhVwx5ZVGtQHCD/logo.svg?fit=max\u0026auto=format\u0026n=RlyhVwx5ZVGtQHCD\u0026q=85\u0026s=9a2e5484d4f7dad891c9e6d09ea6f6b1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gorules.io#website\",\"name\":\"GoRules Documentation\",\"url\":\"https://docs.gorules.io\",\"publisher\":{\"@id\":\"https://docs.gorules.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release#webpage\",\"url\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release\",\"name\":\"Upload a release\",\"description\":\"Upload a release package as a ZIP file containing decision documents.\",\"dateModified\":\"2026-08-16T21:29:53.831Z\",\"isPartOf\":{\"@id\":\"https://docs.gorules.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"BRMS\",\"item\":\"https://docs.gorules.io/api-reference/rules/evaluate-a-rule-on-the-main-branch\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Release\",\"item\":\"https://docs.gorules.io/api-reference/brms/release/list-releases\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Upload a release\",\"item\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release#apireference\",\"headline\":\"Upload a release\",\"name\":\"Upload a release\",\"description\":\"Upload a release package as a ZIP file containing decision documents.\",\"url\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gorules.io/api-reference/brms/release/upload-a-release#webpage\"},\"dateModified\":\"2026-08-16T21:29:53.831Z\",\"publisher\":{\"@id\":\"https://docs.gorules.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gorules.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"GoRules Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"GoRules Documentation","nav":{"global":null,"tabs":[{"tab":"Learn","pages":[{"title":"Learn","href":""}]},{"tab":"Developers","pages":[{"title":"Developers","href":"/developers/overview/architecture"}]},{"tab":"BRMS User Guide","pages":[{"title":"BRMS User Guide","href":"/brms/setup/organisation-settings"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authentication","href":"/api-reference/authentication"}]},{"group":"BRMS","pages":[{"group":"Rules","tag":"NEW","pages":[{"title":"Evaluate a rule on the main branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/rules/{projectId}/evaluate/{*}","href":"/api-reference/rules/evaluate-a-rule-on-the-main-branch"},{"title":"Evaluate a rule on a branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/rules/{projectId}/branch/{branchId}/evaluate/{*}","href":"/api-reference/rules/evaluate-a-rule-on-a-branch"},{"title":"Evaluate a rule against a specific commit","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/rules/{projectId}/commit/{commitId}/evaluate/{*}","href":"/api-reference/rules/evaluate-a-rule-against-a-specific-commit"},{"title":"Evaluate a rule against a pinned release","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/rules/{projectId}/release/{releaseId}/evaluate/{*}","href":"/api-reference/rules/evaluate-a-rule-against-a-pinned-release"},{"title":"Evaluate a rule in an environment","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/rules/{projectId}/env/{environmentId}/evaluate/{*}","href":"/api-reference/rules/evaluate-a-rule-in-an-environment"},{"title":"Rules OpenAPI document for the main branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/rules/{projectId}","href":"/api-reference/rules/rules-openapi-document-for-the-main-branch"},{"title":"Rules OpenAPI document for a branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/rules/{projectId}/branch/{branchId}","href":"/api-reference/rules/rules-openapi-document-for-a-branch"},{"title":"Rules OpenAPI document for a commit","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/rules/{projectId}/commit/{commitId}","href":"/api-reference/rules/rules-openapi-document-for-a-commit"},{"title":"Rules OpenAPI document for a release","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/rules/{projectId}/release/{releaseId}","href":"/api-reference/rules/rules-openapi-document-for-a-release"},{"title":"Rules OpenAPI document for an environment","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/rules/{projectId}/env/{environmentId}","href":"/api-reference/rules/rules-openapi-document-for-an-environment"}]},{"group":"Legacy Evaluation","tag":"LEGACY","pages":[{"title":"Evaluate decision","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/evaluate/{*}","href":"/api-reference/decision/evaluate-decision"},{"title":"Evaluate release decisions","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/{releaseId}/evaluate/{*}","href":"/api-reference/decision/evaluate-release-decisions"},{"title":"Evaluate environment decision","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/environments/{environmentId}/evaluate/{*}","href":"/api-reference/decision/evaluate-environment-decision"}]},{"group":"Invitation","pages":[{"title":"List invitations","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/invitations","href":"/api-reference/brms/invitation/list-invitations"}]},{"group":"Organisation","pages":[{"title":"Update the organisation","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/organisations","href":"/api-reference/brms/organisation/update-the-organisation"}]},{"group":"User","pages":[{"title":"List users","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/users","href":"/api-reference/brms/user/list-users"},{"title":"Invite users","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/users","href":"/api-reference/brms/user/invite-users"},{"title":"Create service account","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/users/service","href":"/api-reference/brms/user/create-service-account"},{"title":"Update a user","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/users/{userId}","href":"/api-reference/brms/user/update-a-user"},{"title":"Remove a user","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/users/{userId}","href":"/api-reference/brms/user/remove-a-user"},{"title":"Transfer ownership","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/users/{userId}/transfer-ownership","href":"/api-reference/brms/user/transfer-ownership"},{"title":"Send a user invitation","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/users/{userId}/invitation","href":"/api-reference/brms/user/send-a-user-invitation"},{"title":"Revoke a user invitation","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/users/{userId}/invitation","href":"/api-reference/brms/user/revoke-a-user-invitation"}]},{"group":"Profile","pages":[{"title":"Update user profile","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/profile","href":"/api-reference/brms/profile/update-user-profile"},{"title":"Delete user profile","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/profile","href":"/api-reference/brms/profile/delete-user-profile"},{"title":"Visit project","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/profile/visit-project","href":"/api-reference/brms/profile/visit-project"}]},{"group":"Release","pages":[{"title":"List releases","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/releases","href":"/api-reference/brms/release/list-releases"},{"title":"Create a release","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases","href":"/api-reference/brms/release/create-a-release"},{"title":"Get a release","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/releases/{releaseId}","href":"/api-reference/brms/release/get-a-release"},{"title":"Update release","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/releases/{releaseId}","href":"/api-reference/brms/release/update-release"},{"title":"Delete a release","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/releases/{releaseId}","href":"/api-reference/brms/release/delete-a-release"},{"title":"Get latest published release","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/releases/latest-published","href":"/api-reference/brms/release/get-latest-published-release"},{"title":"Publish release","description":"Publish a draft release, assigning it a semantic version.","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/{releaseId}/publish","href":"/api-reference/brms/release/publish-release"},{"title":"Upload a release","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/multipart","href":"/api-reference/brms/release/upload-a-release"},{"title":"Download a release","description":"Download all files in a release as a ZIP archive.","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/releases/{releaseId}/download","href":"/api-reference/brms/release/download-a-release"},{"title":"Apply a release","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/apply","href":"/api-reference/brms/release/apply-a-release"},{"title":"Deploy a release","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/deploy","href":"/api-reference/brms/release/deploy-a-release"},{"title":"Get a release file","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/releases/{releaseId}/files/{fileId}","href":"/api-reference/brms/release/get-a-release-file"},{"title":"Get release files","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/releases/{releaseId}/files","href":"/api-reference/brms/release/get-release-files"}]},{"group":"AI","pages":[{"title":"Chat with an AI","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/ai/chat","href":"/api-reference/brms/ai/chat-with-an-ai"}]},{"group":"Member","pages":[{"title":"List members","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/members","href":"/api-reference/brms/member/list-members"},{"title":"Invite members","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/members","href":"/api-reference/brms/member/invite-members"},{"title":"List member users","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/members/users","href":"/api-reference/brms/member/list-member-users"},{"title":"Join project","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/members/join","href":"/api-reference/brms/member/join-project"},{"title":"Update a member","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/members/{memberId}","href":"/api-reference/brms/member/update-a-member"},{"title":"Delete a member","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/members/{memberId}","href":"/api-reference/brms/member/delete-a-member"},{"title":"Leave a project","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/members/leave","href":"/api-reference/brms/member/leave-a-project"}]},{"group":"Group","pages":[{"title":"List groups","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/groups","href":"/api-reference/brms/group/list-groups"},{"title":"Create group","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/groups","href":"/api-reference/brms/group/create-group"},{"title":"Update group","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/groups/{groupId}","href":"/api-reference/brms/group/update-group"},{"title":"Delete group","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/groups/{groupId}","href":"/api-reference/brms/group/delete-group"}]},{"group":"Environment","pages":[{"title":"List environments","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/environments","href":"/api-reference/brms/environment/list-environments"},{"title":"Create environment","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/environments","href":"/api-reference/brms/environment/create-environment"},{"title":"Token regenerate","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/environments/{environmentId}/regenerate-token","href":"/api-reference/brms/environment/token-regenerate"},{"title":"Undeploy environment","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/environments/{environmentId}/undeploy","href":"/api-reference/brms/environment/undeploy-environment"},{"title":"Update environment","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/environments/{environmentId}","href":"/api-reference/brms/environment/update-environment"},{"title":"Delete environment","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/environments/{environmentId}","href":"/api-reference/brms/environment/delete-environment"}]},{"group":"Document","pages":[{"title":"List documents","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents","href":"/api-reference/brms/document/list-documents"},{"title":"Create a document","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/documents","href":"/api-reference/brms/document/create-a-document"},{"title":"Delete documents","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/documents","href":"/api-reference/brms/document/delete-documents"},{"title":"Get documents by path","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents/path","href":"/api-reference/brms/document/get-documents-by-path"},{"title":"List document paths","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents/list-paths","href":"/api-reference/brms/document/list-document-paths"},{"title":"Move documents","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/documents/move","href":"/api-reference/brms/document/move-documents"},{"title":"Get a document","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents/{documentId}","href":"/api-reference/brms/document/get-a-document"},{"title":"Update a document","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/documents/{documentId}","href":"/api-reference/brms/document/update-a-document"},{"title":"List document ancestors","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents/{documentId}/ancestors","href":"/api-reference/brms/document/list-document-ancestors"},{"title":"Download a document","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents/{documentId}/download","href":"/api-reference/brms/document/download-a-document"},{"title":"Publish a document","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/documents/{documentId}/publish","href":"/api-reference/brms/document/publish-a-document"},{"title":"Permanently delete documents","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/documents/permanently","href":"/api-reference/brms/document/permanently-delete-documents"},{"title":"Restore documents","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/documents/restore","href":"/api-reference/brms/document/restore-documents"},{"title":"List document versions","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents/{documentId}/versions","href":"/api-reference/brms/document/list-document-versions"},{"title":"Create a version","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/documents/{documentId}/versions","href":"/api-reference/brms/document/create-a-version"},{"title":"Rename a version","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/documents/{documentId}/versions/{versionId}/rename","href":"/api-reference/brms/document/rename-a-version"},{"title":"Restore document version","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/documents/{documentId}/versions/restore","href":"/api-reference/brms/document/restore-document-version"},{"title":"Get a document version","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/documents/{documentId}/versions/{versionId}","href":"/api-reference/brms/document/get-a-document-version"},{"title":"Update a document view","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/documents/{documentId}/view","href":"/api-reference/brms/document/update-a-document-view"}]},{"group":"Change requests","pages":[{"title":"List change requests","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/change-requests","href":"/api-reference/brms/change-requests/list-change-requests"},{"title":"Get a change request","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/change-requests/{changeRequestId}","href":"/api-reference/brms/change-requests/get-a-change-request"},{"title":"Create activity","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/change-requests/{changeRequestId}/activities","href":"/api-reference/brms/change-requests/create-activity"},{"title":"Update activity","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/change-requests/{changeRequestId}/activities/{activityId}","href":"/api-reference/brms/change-requests/update-activity"}]},{"group":"Decision","pages":[{"title":"Simulate decision","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/decisions/simulate","href":"/api-reference/brms/decision/simulate-decision"},{"title":"Evaluate decision","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/evaluate/{*}","href":"/api-reference/brms/decision/evaluate-decision"},{"title":"Evaluate environment decision","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/environments/{environmentId}/evaluate/{*}","href":"/api-reference/brms/decision/evaluate-environment-decision"},{"title":"Evaluate release decisions","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/releases/{releaseId}/evaluate/{*}","href":"/api-reference/brms/decision/evaluate-release-decisions"},{"title":"HTTP Proxy","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/http-proxy","href":"/api-reference/brms/decision/http-proxy"}]},{"group":"Branches","pages":[{"title":"List branches","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/branches","href":"/api-reference/brms/branches/list-branches"},{"title":"Create branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/branches","href":"/api-reference/brms/branches/create-branch"},{"title":"Get branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/branches/{branchId}","href":"/api-reference/brms/branches/get-branch"},{"title":"Remove branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/branches/{branchId}","href":"/api-reference/brms/branches/remove-branch"},{"title":"List commits","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/branches/{branchId}/commits","href":"/api-reference/brms/branches/list-commits"},{"title":"Get commit","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/commits/{commitId}","href":"/api-reference/brms/branches/get-commit"},{"title":"Get commit diff","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/commits/{commitId}/diff","href":"/api-reference/brms/branches/get-commit-diff"},{"title":"Get branch commit","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/branches/{branchId}/commits/{commitId}","href":"/api-reference/brms/branches/get-branch-commit"},{"title":"Branch commit","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/branches/{branchId}/commit","href":"/api-reference/brms/branches/branch-commit"},{"title":"Get merge preview","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/branches/{branchId}/merge-preview","href":"/api-reference/brms/branches/get-merge-preview"},{"title":"Merge branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/branches/{branchId}/merge","href":"/api-reference/brms/branches/merge-branch"},{"title":"Rebase branch","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/branches/{branchId}/rebase","href":"/api-reference/brms/branches/rebase-branch"},{"title":"Revert commit","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/branches/{branchId}/revert","href":"/api-reference/brms/branches/revert-commit"}]},{"group":"Security","pages":[{"title":"List project tokens","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/security/tokens","href":"/api-reference/brms/security/list-project-tokens"},{"title":"Generate a token","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/security/tokens","href":"/api-reference/brms/security/generate-a-token"},{"title":"Revoke a token","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/security/tokens/{tokenId}","href":"/api-reference/brms/security/revoke-a-token"}]},{"group":"Project","pages":[{"title":"List projects","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects","href":"/api-reference/brms/project/list-projects"},{"title":"Create a project","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects","href":"/api-reference/brms/project/create-a-project"},{"title":"Get a project","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}","href":"/api-reference/brms/project/get-a-project"},{"title":"Update a project","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}","href":"/api-reference/brms/project/update-a-project"},{"title":"Delete a project","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}","href":"/api-reference/brms/project/delete-a-project"},{"title":"Get project with approvals","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/approvals","href":"/api-reference/brms/project/get-project-with-approvals"},{"title":"Update project approvals","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/approvals","href":"/api-reference/brms/project/update-project-approvals"},{"title":"Permanently delete a project","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/permanently","href":"/api-reference/brms/project/permanently-delete-a-project"},{"title":"Restore a project","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/restore","href":"/api-reference/brms/project/restore-a-project"}]},{"group":"Audit log","pages":[{"title":"List audit logs","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/audit-logs","href":"/api-reference/brms/audit-log/list-audit-logs"},{"title":"Export audit logs","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/audit-logs/export","href":"/api-reference/brms/audit-log/export-audit-logs"},{"title":"Get audit log","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/audit-logs/{auditLogId}","href":"/api-reference/brms/audit-log/get-audit-log"}]},{"group":"Personal access token","pages":[{"title":"List tokens","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/personal-access-tokens","href":"/api-reference/brms/personal-access-token/list-tokens"},{"title":"Create token","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/personal-access-tokens","href":"/api-reference/brms/personal-access-token/create-token"},{"title":"Get token","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/personal-access-tokens/{patId}","href":"/api-reference/brms/personal-access-token/get-token"},{"title":"Delete token","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/personal-access-tokens/{patId}","href":"/api-reference/brms/personal-access-token/delete-token"},{"title":"Regenerate token","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/personal-access-tokens/{patId}/regenerate","href":"/api-reference/brms/personal-access-token/regenerate-token"},{"title":"List service account tokens","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/users/service/{userId}/personal-access-tokens","href":"/api-reference/brms/personal-access-token/list-service-account-tokens"},{"title":"Create service account token","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/users/service/{userId}/personal-access-tokens","href":"/api-reference/brms/personal-access-token/create-service-account-token"},{"title":"Get service account token","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/users/service/{userId}/personal-access-tokens/{patId}","href":"/api-reference/brms/personal-access-token/get-service-account-token"},{"title":"Delete service account token","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/users/service/{userId}/personal-access-tokens/{patId}","href":"/api-reference/brms/personal-access-token/delete-service-account-token"},{"title":"Regenerate service account token","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/users/service/{userId}/personal-access-tokens/{patId}/regenerate","href":"/api-reference/brms/personal-access-token/regenerate-service-account-token"}]},{"group":"Integration","pages":[{"title":"List integrations","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/integrations","href":"/api-reference/brms/integration/list-integrations"},{"title":"Create integration","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/integrations","href":"/api-reference/brms/integration/create-integration"},{"title":"Get integration","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/integrations/{integrationId}","href":"/api-reference/brms/integration/get-integration"},{"title":"Update integration","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/integrations/{integrationId}","href":"/api-reference/brms/integration/update-integration"},{"title":"Delete integration","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/integrations/{integrationId}","href":"/api-reference/brms/integration/delete-integration"}]},{"group":"Deployments","pages":[{"title":"List deployments","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/deployments","href":"/api-reference/brms/deployments/list-deployments"},{"title":"Create deployment","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/deployments","href":"/api-reference/brms/deployments/create-deployment"},{"title":"Update deployment","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/deployments/{deploymentId}","href":"/api-reference/brms/deployments/update-deployment"},{"title":"Remove deployment","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/deployments/{deploymentId}","href":"/api-reference/brms/deployments/remove-deployment"}]},{"group":"Deployment workflows","pages":[{"title":"List deployment workflow runs","deprecated":true,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/runs","href":"/api-reference/brms/deployment-workflows/list-deployment-workflow-runs"},{"title":"Get deployment workflow run","deprecated":true,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/runs/{runId}","href":"/api-reference/brms/deployment-workflows/get-deployment-workflow-run"},{"title":"Cancel deployment workflow run","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/runs/{runId}/cancel","href":"/api-reference/brms/deployment-workflows/cancel-deployment-workflow-run"}]},{"group":"Test events","pages":[{"title":"List test events","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/projects/{projectId}/test-events","href":"/api-reference/brms/test-events/list-test-events"},{"title":"Create test event","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/projects/{projectId}/test-events","href":"/api-reference/brms/test-events/create-test-event"},{"title":"Upsert test event","deprecated":null,"version":null,"openapi":"/openapi/brms.json patch /api/projects/{projectId}/test-events","href":"/api-reference/brms/test-events/upsert-test-event"},{"title":"Update test event","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/projects/{projectId}/test-events/{testEventId}","href":"/api-reference/brms/test-events/update-test-event"},{"title":"Remove test event","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/projects/{projectId}/test-events/{testEventId}","href":"/api-reference/brms/test-events/remove-test-event"}]},{"group":"Templates","pages":[{"title":"List templates","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/templates","href":"/api-reference/brms/templates/list-templates"},{"title":"Finalize onboarding process with template","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/onboarding/finalize","href":"/api-reference/brms/templates/finalize-onboarding-process-with-template"},{"title":"Skip onboarding process","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/onboarding/skip","href":"/api-reference/brms/templates/skip-onboarding-process"},{"title":"Get a template","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/templates/{key}","href":"/api-reference/brms/templates/get-a-template"}]},{"group":"Roles","pages":[{"title":"List roles","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/roles","href":"/api-reference/brms/roles/list-roles"},{"title":"Create role","deprecated":null,"version":null,"openapi":"/openapi/brms.json post /api/roles","href":"/api-reference/brms/roles/create-role"},{"title":"Update role","deprecated":null,"version":null,"openapi":"/openapi/brms.json put /api/roles/{roleId}","href":"/api-reference/brms/roles/update-role"},{"title":"Delete role","deprecated":null,"version":null,"openapi":"/openapi/brms.json delete /api/roles/{roleId}","href":"/api-reference/brms/roles/delete-role"}]},{"group":"Infrastructure","pages":[{"title":"Health check","deprecated":null,"version":null,"openapi":"/openapi/brms.json get /api/health","href":"/api-reference/brms/infrastructure/health-check"}]},{"group":"Rules","pages":[]}]},{"group":"Agent","pages":[{"group":"Rules","tag":"NEW","pages":[{"title":"Evaluate a rule","deprecated":null,"version":null,"openapi":"/openapi/agent.json post /api/rules/{project}/evaluate/{key}","href":"/api-reference/rules/evaluate-a-rule"},{"title":"OpenAPI document for the loaded release","deprecated":null,"version":null,"openapi":"/openapi/agent.json get /api/rules/{project}","href":"/api-reference/rules/openapi-document-for-the-loaded-release"}]},{"group":"Legacy Evaluation","tag":"LEGACY","pages":[{"title":"Evaluate decision via Agent (legacy)","deprecated":null,"version":null,"openapi":"/openapi/agent.json post /api/projects/{project}/evaluate/{key}","href":"/api-reference/evaluation/evaluate-decision-via-agent-legacy"}]},{"group":"System","pages":[{"title":"Agent health check","deprecated":null,"version":null,"openapi":"/openapi/agent.json get /api/health","href":"/api-reference/agent/system/agent-health-check"},{"title":"Get version","deprecated":null,"version":null,"openapi":"/openapi/agent.json get /api/version","href":"/api-reference/agent/system/get-version"}]},{"group":"Projects","pages":[{"title":"Get project info","deprecated":null,"version":null,"openapi":"/openapi/agent.json get /api/projects/{project}","href":"/api-reference/agent/projects/get-project-info"}]},{"group":"Evaluation","pages":[{"title":"Evaluate decision via Agent (legacy)","deprecated":null,"version":null,"openapi":"/openapi/agent.json post /api/projects/{project}/evaluate/{key}","href":"/api-reference/agent/evaluation/evaluate-decision-via-agent-legacy"}]},{"group":"Rules","pages":[{"title":"Evaluate a rule","deprecated":null,"version":null,"openapi":"/openapi/agent.json post /api/rules/{project}/evaluate/{key}","href":"/api-reference/agent/rules/evaluate-a-rule"},{"title":"OpenAPI document for the loaded release","deprecated":null,"version":null,"openapi":"/openapi/agent.json get /api/rules/{project}","href":"/api-reference/agent/rules/openapi-document-for-the-loaded-release"}]}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]}]},"basePath":"","title":"Upload a release - GoRules Documentation","buildId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","deploymentId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-Myd8dsju.js","utils-C2HkQgW0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-8rSppmTv.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B6MjiCFm.js","snippetPresets-DwrSAONL.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-CxAy5y67.js","ApiExamples-1-a5UQKQ.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C541m7wZ.js","shallow-CWELCZ77.js","getApiPlaygroundDisplay-CTo5Zn03.js","CodeSnippet-D--dzvnl.js","CodeSnippets-DM3cXEDh.js","getPastedJson-C-VECgcL.js","icon-BPq2-Mg3.js","MethodPill-D9J5cUHd.js","DuplicateIcon-BqHaxUnD.js","createIcon-CIbcZHp9.js","DynamicMarkdown-BKiHAm_d.js","SectionHeading-DstQXt3H.js","axios-vUo_bRtp.js","Markdown-CpxgzsKA.js","clsx-C5EfhVm0.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CJ9Oly2E.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Mk6P3qvh.js"]}